Transition Governed Agent
POST
/v1/governance/agents/{name}/transition
const url = 'https://example.com/v1/governance/agents/example/transition';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"status":"example","by":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/governance/agents/example/transition \ --header 'Content-Type: application/json' \ --data '{ "status": "example", "by": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” name
required
Name
string
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}